summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
Diffstat (limited to 'office')
-rw-r--r--office/mu/README4
-rw-r--r--office/mu/mu.SlackBuild82
-rw-r--r--office/mu/mu.info10
-rw-r--r--office/mu/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/office/mu/README b/office/mu/README
new file mode 100644
index 0000000000..2c2ad0edfd
--- /dev/null
+++ b/office/mu/README
@@ -0,0 +1,4 @@
+mu is a tool for dealing with e-mail messages stored in the Maildir-format.
+mu can be used with the mutt email program.
+
+This requires xapian-core.
diff --git a/office/mu/mu.SlackBuild b/office/mu/mu.SlackBuild
new file mode 100644
index 0000000000..f11458b8fa
--- /dev/null
+++ b/office/mu/mu.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for mu
+
+# Written by Jostein Berntsen <jbernts@broadpark.no>
+
+PRGNAM=mu
+VERSION=${VERSION:-0.9.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make V=1
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING HACKING INSTALL NEWS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/mu/mu.info b/office/mu/mu.info
new file mode 100644
index 0000000000..10df2ffdb8
--- /dev/null
+++ b/office/mu/mu.info
@@ -0,0 +1,10 @@
+PRGNAM="mu"
+VERSION="0.9.6"
+HOMEPAGE="http://www.djcbsoftware.nl/code/mu/"
+DOWNLOAD="http://mu0.googlecode.com/files/mu-0.9.6.tar.gz"
+MD5SUM="72fdf907f2b7922a54c8d14bc4b06ccf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jostein Berntsen"
+EMAIL="jbernts@broadpark.no"
+APPROVED="Niels Horn"
diff --git a/office/mu/slack-desc b/office/mu/slack-desc
new file mode 100644
index 0000000000..3efd1fbe00
--- /dev/null
+++ b/office/mu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mu: mu (fast mail indexer and search tool)
+mu:
+mu: mu is a tool for dealing with e-mail messages stored in the
+mu: Maildir-format. mu can be used with the mutt email program.
+mu:
+mu:
+mu:
+mu:
+mu:
+mu:
+mu: Home: http://www.djcbsoftware.nl/code/mu/